List Super Admins with Assigned Companies

Returns a list of Super Admins with basic account data and a count of Companies associated with them. The id returned with Super Admin data may be used with other Super Admin API endpoints as the superAdminId.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

limitintegerOptional1-200Defaults to 10
Maximum number of entries to return per page of results.
offsetintegerOptional>=0Defaults to 0
The number of entries to skip before returning the current page of results.
orderByenumOptionalDefaults to DESC

Determines whether results will be sorted in acending (ASC) or descending (DESC) order.

Allowed values:
qstringOptional

Search string for the request. Response data will be limited to accounts matching this string in firstName, lastName, or email.

uuidstringOptional

Filter results by uuid. An empty uuid parameter will return all results.

maxCreatedstringOptional
Filter results by `createdAt`, returning only those with a [Unix timestamp](https://www.unixtimestamp.com/) value less than `maxCreated`.
minCreatedstringOptional
Filter results by `createdAt`, returning only those with a [Unix timestamp](https://www.unixtimestamp.com/) value greater than `minCreated`.
maxModifiedstringOptional
Filter results by `updatedAt`, returning only those with a [Unix timestamp](https://www.unixtimestamp.com/) value less than `maxModified`.
minModifiedstringOptional
Filter results by `updatedAt`, returning only those with a [Unix timestamp](https://www.unixtimestamp.com/) value greater than `minModified`.
isIncludeExtraFieldsenumOptionalDefaults to 0

Indicates whether to include extra fields in the response. A value of 0 will exclude extra fields, while a value of 1 will include them.

Allowed values:

Response

SUCCESS
codeintegerDefaults to 200
datalist of objects
metaobject